<template>
  <div>
    <h2>Add new article</h2>
    <form>
      <div><CustomInput v-model="article.title" placeholder="Title" /></div>
      <div><CustomInput v-model="article.author" placeholder="Author" /></div>
      <div><textarea v-model="article.body" placeholder="Body"></textarea></div>
      <div><label><input type="checkbox" v-model="article.isPublished"> Published</label></div>
      <div><input type="submit" value="Add" v-on:click.prevent="$emit('add-article', article)" /></div>
    </form>
  </div>
</template>

<script>
export default {
  name: "ArticleForm",
  props: {
    title: String,
    body: String,
    author: String,
    isPublished: Boolean,
  },
  data() {
    return {
      article: {
        title: this.title,
        body: this.body,
        author: this.author,
        published: this.isPublished
      }
    }
  }
};
</script>